Для корректной работы фотогаллереи нужен обозреватель Internet Explorer версии 5+ или FireFox 1.5+ или Opera 7+
DEMO